
Foreman - Bug #2314

Smaller grains for VM memory/RAM choice needed

03/13/2013 01:33 PM - Jaroslav Henner

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Compute resources   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1270771 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3774

  

Description

Currenly, I can create VM that has ... 1, 2, 4 or 8G ram. What if 4 is too much and 2 is too little?

Related issues:

Related to Foreman - Bug #5901: Unable to select more than 8 cores in VMware ... Closed 05/23/2014

Related to Foreman - Bug #1580: Limitiation to create only 32 GB VM Duplicate 04/20/2012

Related to Foreman - Bug #15895: Format of memory and storage size in API sho... New 07/29/2016

Related to Foreman - Bug #16577: String::to_gb fails to parse "0 Bytes" Closed 09/16/2016

Related to Foreman - Refactor #16601: Cover spinner fields with tests New 09/19/2016

Related to Xen - Bug #17199: Unable to create a new host deployed on XenServer Closed 11/03/2016

Related to Foreman - Feature #10875: Add option to choose between MB and GB w... New 06/18/2015

Has duplicate Foreman - Feature #12289: Possibility to set value of memory fo... Duplicate 10/23/2015

Associated revisions

Revision f7d5a22e - 02/05/2014 05:16 PM - Robert Birnie

refs #2314 - more choices in memory drop down

Revision 136d58af - 02/14/2014 12:13 PM - Robert Birnie

refs #2314 - more choices in memory drop down

(cherry picked from commit f7d5a22e0fd28c3689273c03b652d91b6ed661ae)

Revision eabbbeb4 - 09/06/2016 01:44 PM - Marek Hulán

Fixes #2314 - fine grain for RAM selectors

Revision 0c39a008 - 09/07/2016 07:59 AM - Marek Hulán

Fixes #2314 - fine grain for RAM selectors

(cherry picked from commit eabbbeb4730abb51de2de8f9b302d26b14d6d33a)

History

#1 - 01/17/2014 09:29 PM - Robert Birnie

- Assignee set to Robert Birnie

I also want this. PR incoming.

#2 - 01/17/2014 09:35 PM - Robert Birnie

https://github.com/theforeman/foreman/pull/1168

#3 - 01/17/2014 09:45 PM - Anonymous
https://github.com/theforeman/foreman/pull/1168


- Status changed from New to Ready For Testing

#4 - 01/20/2014 08:57 AM - Dominic Cleal

- Category set to Compute resources

- Target version set to 1.9.2

#5 - 02/05/2014 05:17 PM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Robert Birnie)

- Priority changed from High to Normal

- Target version deleted (1.9.2)

Merging Robert's helpful change to add more options, but leaving this open so we can implement a more free-form entry (like text box or slider) as

discussed on the PR.

#6 - 05/23/2014 09:41 AM - Dominic Cleal

- Related to Bug #5901: Unable to select more than 8 cores in VMware template added

#7 - 10/23/2015 10:29 AM - Dominic Cleal

- Related to Bug #1580: Limitiation to create only 32 GB VM added

#8 - 10/23/2015 10:30 AM - Dominic Cleal

- Has duplicate Feature #12289: Possibility to set value of memory for compute profile under RHEV other then dropdown list added

#9 - 10/23/2015 10:30 AM - Dominic Cleal

- Subject changed from Smaller grains for Libvirt VM RAM needed to Smaller grains for VM memory/RAM choice needed

#10 - 10/29/2015 03:00 PM - Bryan Kearney

- Bugzilla link set to 1270771

#11 - 07/28/2016 07:04 AM - Marek Hulán

- Target version set to 115

discussion about the partial solution can be found at PR https://github.com/theforeman/foreman/pull/1168

#12 - 07/28/2016 08:31 AM - Marek Hulán

- Target version changed from 115 to 1.6.3

#13 - 07/29/2016 05:04 AM - Tomáš Strachota

- Related to Bug #15895: Format of memory and storage size in API should be more consistent added

#14 - 08/11/2016 09:35 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#15 - 08/16/2016 08:35 AM - Marek Hulán

- Target version changed from 1.6.3 to 1.6.0

#16 - 08/24/2016 08:00 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3774 added

#17 - 09/06/2016 10:55 AM - Marek Hulán

- Target version changed from 1.6.0 to 1.5.3

#18 - 09/06/2016 02:02 PM - Marek Hulán
https://github.com/theforeman/foreman/pull/1168


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset eabbbeb4730abb51de2de8f9b302d26b14d6d33a.

#19 - 09/07/2016 04:59 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#20 - 09/16/2016 07:11 AM - Marek Hulán

- Related to Bug #16577: String::to_gb fails to parse "0 Bytes" added

#21 - 09/19/2016 10:28 AM - Marek Hulán

- Related to Refactor #16601: Cover spinner fields with tests added

#22 - 11/03/2016 08:32 AM - Anonymous

- Related to Bug #17199: Unable to create a new host deployed on XenServer added

#23 - 01/24/2017 09:14 PM - Anonymous

- Has duplicate Feature #10875: Add option to choose between MB and GB when selecting Memory for new virtual machine added

#24 - 01/24/2017 09:15 PM - Anonymous

- Has duplicate deleted (Feature #10875: Add option to choose between MB and GB when selecting Memory for new virtual machine)

#25 - 01/24/2017 09:15 PM - Anonymous

- Related to Feature #10875: Add option to choose between MB and GB when selecting Memory for new virtual machine added
